<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--  
 * Licensed Materials - Property of IBM
 * 
 * 5655-S97
 * 
 * (c) Copyright IBM Corp. 2012 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with
 * IBM Corp.
  -->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">

<style>
	.even{
		background-color:rgb(200,200,210);
	}
	.odd{
		background-color:rgb(255,255,255);
	}
	.img{
		width: 100%; 
		height: 150px;
	}
	.maintitle{
		color: rgb(34, 2, 125); 
		font-style: normal; 
		font-size: xx-large;
		font-weight: bold;
		padding-top: 20px;
	}
	.bodytext{
		padding-top: 10px; 
		padding-bottom: 10px;  
		font-size: medium;
		font-weight: bold;
	}
	body {	
		font-family: "Courier New";
	}
	#buttonsPanel{
		margin-top: 10px; 
		clear: both;
	}
	.button{
		float: left; 
		clear: right;
	}
	#results{
		clear: both;
		font-size: large;
	}
</style>

<script type="text/javascript">
	/*
	 Function to call the servlet that will fetch data from CICS     
	 */
	function load(cusNum) 
	{
		document.getElementById("results").innerHTML = "";

		if(cusNum == null)
		{
			return;
		}
		
		// create the request object we'll use to make the HTTP request to the servlet
		var request = new XMLHttpRequest();
		var params = "cusNum=" + cusNum;
		
        // submit the request to the servlet to search for the customer number
        request.open("POST", "FetchData?"+params, true);
        request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
       
		request.onreadystatechange = function() 
		{
			 if (request.readyState == 4) 
			 {
			 	//Get response and parse the xml fragment 
				var xmlDoc = request.responseXML;
				
				var htmlOutput = "<table><tr class=\"h0\">";

				htmlOutput += "<th>Customer Details</th></tr>";
				
				// obtain all of the records and produce the HTML to display them    
				var records = xmlDoc.getElementsByTagName("record");
								
				// iterate over all of the records received from the servlet
				for (var i = 0; i < records.length; i++) 
				{
					var record = records.item(i);
					var rows = record.getElementsByTagName("row");
					for (var i = 0; i < rows.length; i++)
					{
						// alternate the CSS class for each row to create the stripy background effect on the table
						if (i % 2 == 0) 
						{
							htmlOutput += "<tr class=\"even\">";
						} 
						else 
						{
							htmlOutput += "<tr class=\"odd\">";
						}
						
						htmlOutput += "<td>";
						htmlOutput += rows.item(i).getElementsByTagName("name")[0].textContent;
						htmlOutput += "</td>";
						htmlOutput += "<td>";
						htmlOutput += rows.item(i).getElementsByTagName("value")[0].textContent;
						htmlOutput += "</td>";
						htmlOutput += "</tr>";
					}
				}
				
				htmlOutput += "</table>";
				
				// display the HTML in the results section of the page
				document.getElementById("results").innerHTML = htmlOutput;
			}
		};
		
		request.send(null);
	}
	
	function searchCustomer()
	{		
		// get the value of the customer number
		var cusNum = document.myForm.cusNum.value;
		load(cusNum);		
	}
	
	
	function resetData()
	{
		// reset the data to remove any filters applied.	
		document.myForm.elements["cusNum"].value = '';		
		load(null);	
	}
	
</script>

<title>CICS Liberty Profile Policy Search Sample</title>
</head>
<body>
	<!-- CICS Banner -->
	<img class="img" src="images/banner.jpg">

	<div class="maintitle">
		CICS Liberty Profile Policy Search Sample</div>


	<div class="bodytext">

		<p>This application demonstrates how to call a CICS program using JCICS CICS_LINK() to the GENAPP Customer Inquiry (LGICUS01) program, then
		display that data on a webpage using the WebSphere Liberty Profile for CICS.</p>
		
		<p>Using the controls below you can search for customer details using a customer number. To reset the fields press the reset button.</p>
	</div>


	<div id="form" >
		<form name="myForm">
			<!--  Customer Number -->
			<div class="formClass">Customer Number:</div>
			<div>
				<input type="text" name="cusNum" value="" />
			</div>
			<div id="buttonsPanel">
				<div class="button">
					<input type="button" value="Search" onclick="searchCustomer()"/>
				</div>
				<div class="button">
					<input type="button" value="Reset" onclick="resetData()"/>
				</div>
			</div>
		</form>

	</div>

	<!-- This div is for the results from CICS -->
	<div id="results"></div>
</body>
</html>